Bug 1032223 - Move files from /* to /usr/*
Move files from /* to /usr/*
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rsyslog (Show other bugs)
7.0
Unspecified Unspecified
high Severity low
: rc
: ---
Assigned To: Tomas Heinrich
Karel Srot
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 13:03 EST by Tomas Heinrich
Modified: 2014-06-18 03:52 EDT (History)
2 users (show)

See Also:
Fixed In Version: rsyslog-7.4.7-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:43:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Heinrich 2013-11-19 13:03:46 EST
Description of problem:

The rsyslog packages install files into /bin, /lib, /lib64 and /sbin. These should be moved to /usr/* per https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Effect_of_the_UsrMove_Fedora_Feature

Version-Release number of selected component (if applicable):
rsyslog-7.4.2-4.el7

Steps to Reproduce:
$ rpm -ql rsyslog

Actual results:
$ rpm -ql rsyslog | grep rsyslogd
/sbin/rsyslogd

Expected results:
$ rpm -ql rsyslog | grep rsyslogd
/usr/sbin/rsyslogd
Comment 2 Tomas Heinrich 2013-12-19 12:47:52 EST
It's not a pretty thing to change file location after beta, but better now than later.
Comment 6 Ludek Smid 2014-06-13 07:43:08 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.